<?
include '../config.php';
include '../func.php';
head();
aut();
ban();

$_SESSION['captcha'] = mt_rand(1111,9999);



echo '<div class="main">Оформление заказа</div><div class="menu">';

if (empty($_POST['submit'])){
echo '<form action="add.php" method="post" name="form">';
echo '
<b>* Ваше имя:</b> <small>[min. 4, max. 25]</small><br/>
<input name="name" type="text" maxlength="20" /><br/>
<b>* Имя файла:</b> <small>[min. 4, max. 50]</small><br/>
<input name="name_file" type="text" maxlength="50" /><br/>
<b>* Коментарий:</b> <small>[max. 250]</small><br/>
<textarea id="tarea" name="coment" cols="17" rows="5"></textarea><br/>';
echo '<a href="bb.php">[BB-Коды]</a><br/>';
echo '<input name="submit" type="submit" value="OK" /></form><br/>';
echo '<br/><a href="add.php">Назад</a><br/>';
echo '<a href="index.php">Главная</a></div>';

} else {
$name = $_POST['name'];
$name_file = $_POST['name_file'];
$coment=$_POST['coment'];

$name = mysql_real_escape_string(trim($_POST['name']));
$name_file = mysql_real_escape_string(trim($_POST['name_file']));
$coment = mysql_real_escape_string(trim($_POST['coment']));

if(empty($_POST['name']) or empty($_POST['name_file']) or empty($_POST['coment'])) $msg = 'Не заполнены поля.';
if(strlen($_POST['name'])>25) $msg = 'Ваше имя не должно привышать 25 символов.';
if(strlen($_POST['name_file'])>50) $msg = 'Имя файла не должен привышать 50 символов.';
if(strlen($_POST['coment'])>250) $msg = 'Коментарий не должен привышать 50 символов.';


if($msg){
    echo "<div class='menu'><b>$msg</b></div>";
    } else {
mysql_query("INSERT INTO `zakaz` SET `name` = '$name', `name_file` = '$name_file', `coment` = '$coment'");
echo 'Заказ добавлен<br/>';
echo '<a href="add.php">Назад</a><br/>';
echo '<a href="index.php">Главная</a></div>';
}
}

navig();
foot();
?>

